Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotCacheSource

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotCacheSource

public class PivotCacheSource extends Object
The Class PivotCacheSource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotCacheSource()`
  Instantiates a new pivot cache source.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotCacheSource`
  `clone()`
  `int`
  `getConnectionIndex()`
  Gets the connection index.
  `SourceType`
  `getType()`
  Gets the type.
  `WorksheetSource`
  `getWorksheetSource()`
  Gets the worksheet source.
  `void`
  `setConnectionIndex​(int connectionIndex)`
  Sets the connection index.
  `void`
  `setType​(SourceType type)`
  Sets the type.
  `void`
  `setWorksheetSource​(WorksheetSource worksheetSource)`
  Sets the worksheet source.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotCacheSource

    public PivotCacheSource()
    Instantiates a new pivot cache source.

- ## Method Details

  - ### clone

    public PivotCacheSource clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getWorksheetSource

    public WorksheetSource getWorksheetSource()
    Gets the worksheet source.
    Returns:
      the worksheet source

  - ### setWorksheetSource

    public void setWorksheetSource​(WorksheetSource worksheetSource)
    Sets the worksheet source.
    Parameters:
      `worksheetSource` - the new worksheet source

  - ### getConnectionIndex

    public int getConnectionIndex()
    Gets the connection index.
    Returns:
      the connection index

  - ### setConnectionIndex

    public void setConnectionIndex​(int connectionIndex)
    Sets the connection index.
    Parameters:
      `connectionIndex` - the new connection index

  - ### getType

    public SourceType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(SourceType type)
    Sets the type.
    Parameters:
      `type` - the new type